/*
 * Copyright (c) 2025 Nuvoton Technology Corporation.
 *
 * SPDX-License-Identifier: Apache-2.0
 */

#ifndef ZEPHYR_INCLUDE_DT_BINDINGS_CLOCK_NUMAKER_M55M1X_CLOCK_H
#define ZEPHYR_INCLUDE_DT_BINDINGS_CLOCK_NUMAKER_M55M1X_CLOCK_H

#define NUMAKER_CLK_SCLKSEL_SCLKSEL_HIRC 0x00000000
#define NUMAKER_CLK_SCLKSEL_SCLKSEL_MIRC 0x00000001
#define NUMAKER_CLK_SCLKSEL_SCLKSEL_HIRC48M 0x00000002
#define NUMAKER_CLK_SCLKSEL_SCLKSEL_HXT 0x00000003
#define NUMAKER_CLK_SCLKSEL_SCLKSEL_APLL0 0x00000004
#define NUMAKER_CLK_BPWMSEL_BPWM0SEL_PCLK0 0x00000000
#define NUMAKER_CLK_BPWMSEL_BPWM0SEL_HCLK0 0x00000001
#define NUMAKER_CLK_BPWMSEL_BPWM1SEL_PCLK2 0x00000000
#define NUMAKER_CLK_BPWMSEL_BPWM1SEL_HCLK0 0x00000010
#define NUMAKER_CLK_CANFDSEL_CANFD0SEL_HXT 0x00000000
#define NUMAKER_CLK_CANFDSEL_CANFD0SEL_APLL0_DIV2 0x00000001
#define NUMAKER_CLK_CANFDSEL_CANFD0SEL_HCLK0 0x00000002
#define NUMAKER_CLK_CANFDSEL_CANFD0SEL_HIRC 0x00000003
#define NUMAKER_CLK_CANFDSEL_CANFD0SEL_HIRC48M_DIV4 0x00000004
#define NUMAKER_CLK_CANFDSEL_CANFD1SEL_HXT 0x00000000
#define NUMAKER_CLK_CANFDSEL_CANFD1SEL_APLL0_DIV2 0x00000010
#define NUMAKER_CLK_CANFDSEL_CANFD1SEL_HCLK0 0x00000020
#define NUMAKER_CLK_CANFDSEL_CANFD1SEL_HIRC 0x00000030
#define NUMAKER_CLK_CANFDSEL_CANFD1SEL_HIRC48M_DIV4 0x00000040
#define NUMAKER_CLK_CCAPSEL_CCAP0SEL_MIRC 0x00000000
#define NUMAKER_CLK_CCAPSEL_CCAP0SEL_HCLK2 0x00000001
#define NUMAKER_CLK_CCAPSEL_CCAP0SEL_HIRC 0x00000002
#define NUMAKER_CLK_CCAPSEL_CCAP0SEL_APLL0_DIV2 0x00000003
#define NUMAKER_CLK_CCAPSEL_CCAP0SEL_HXT 0x00000004
#define NUMAKER_CLK_CLKOSEL_CLKOSEL_SYSCLK 0x00000000
#define NUMAKER_CLK_CLKOSEL_CLKOSEL_ACLK 0x00000001
#define NUMAKER_CLK_CLKOSEL_CLKOSEL_HCLK0 0x00000002
#define NUMAKER_CLK_CLKOSEL_CLKOSEL_HCLK1 0x00000003
#define NUMAKER_CLK_CLKOSEL_CLKOSEL_HCLK2 0x00000004
#define NUMAKER_CLK_CLKOSEL_CLKOSEL_APLL0_DIV2 0x00000005
#define NUMAKER_CLK_CLKOSEL_CLKOSEL_APLL1_DIV2 0x00000006
#define NUMAKER_CLK_CLKOSEL_CLKOSEL_HIRC48M 0x00000007
#define NUMAKER_CLK_CLKOSEL_CLKOSEL_HXT 0x00000008
#define NUMAKER_CLK_CLKOSEL_CLKOSEL_HIRC 0x00000009
#define NUMAKER_CLK_CLKOSEL_CLKOSEL_MIRC 0x0000000A
#define NUMAKER_CLK_CLKOSEL_CLKOSEL_LXT 0x0000000B
#define NUMAKER_CLK_CLKOSEL_CLKOSEL_LIRC 0x0000000C
#define NUMAKER_CLK_DMICSEL_DMIC0SEL_HXT 0x00000000
#define NUMAKER_CLK_DMICSEL_DMIC0SEL_APLL1_DIV2 0x00000001
#define NUMAKER_CLK_DMICSEL_DMIC0SEL_MIRC 0x00000002
#define NUMAKER_CLK_DMICSEL_DMIC0SEL_HIRC 0x00000003
#define NUMAKER_CLK_DMICSEL_DMIC0SEL_HIRC48M 0x00000004
#define NUMAKER_CLK_DMICSEL_DMIC0SEL_PCLK4 0x00000005
#define NUMAKER_CLK_DMICSEL_VAD0SEL_PCLK4 0x00000000
#define NUMAKER_CLK_DMICSEL_VAD0SEL_MIRC 0x00000010
#define NUMAKER_CLK_DMICSEL_VAD0SEL_HIRC 0x00000020
#define NUMAKER_CLK_EADCSEL_EADC0SEL_APLL1_DIV2 0x00000000
#define NUMAKER_CLK_EADCSEL_EADC0SEL_APLL0_DIV2 0x00000001
#define NUMAKER_CLK_EADCSEL_EADC0SEL_PCLK0 0x00000002
#define NUMAKER_CLK_EPWMSEL_EPWM0SEL_PCLK0 0x00000000
#define NUMAKER_CLK_EPWMSEL_EPWM0SEL_HCLK0 0x00000001
#define NUMAKER_CLK_EPWMSEL_EPWM1SEL_PCLK2 0x00000000
#define NUMAKER_CLK_EPWMSEL_EPWM1SEL_HCLK0 0x00000010
#define NUMAKER_CLK_FMCSEL_FMC0SEL_HIRC 0x00000000
#define NUMAKER_CLK_FMCSEL_FMC0SEL_HIRC48M_DIV4 0x00000001
#define NUMAKER_CLK_I2SSEL_I2S0SEL_HXT 0x00000000
#define NUMAKER_CLK_I2SSEL_I2S0SEL_APLL1_DIV2 0x00000001
#define NUMAKER_CLK_I2SSEL_I2S0SEL_APLL0_DIV2 0x00000002
#define NUMAKER_CLK_I2SSEL_I2S0SEL_PCLK1 0x00000003
#define NUMAKER_CLK_I2SSEL_I2S0SEL_HIRC 0x00000004
#define NUMAKER_CLK_I2SSEL_I2S0SEL_HIRC48M 0x00000005
#define NUMAKER_CLK_I2SSEL_I2S1SEL_HXT 0x00000000
#define NUMAKER_CLK_I2SSEL_I2S1SEL_APLL1_DIV2 0x00000010
#define NUMAKER_CLK_I2SSEL_I2S1SEL_APLL0_DIV2 0x00000020
#define NUMAKER_CLK_I2SSEL_I2S1SEL_PCLK3 0x00000030
#define NUMAKER_CLK_I2SSEL_I2S1SEL_HIRC 0x00000040
#define NUMAKER_CLK_I2SSEL_I2S1SEL_HIRC48M 0x00000050
#define NUMAKER_CLK_I3CSEL_I3C0SEL_HCLK0 0x00000000
#define NUMAKER_CLK_I3CSEL_I3C0SEL_APLL1 0x00000001
#define NUMAKER_CLK_KPISEL_KPI0SEL_HIRC48M_DIV4 0x00000000
#define NUMAKER_CLK_KPISEL_KPI0SEL_HIRC 0x00000001
#define NUMAKER_CLK_KPISEL_KPI0SEL_LIRC 0x00000002
#define NUMAKER_CLK_KPISEL_KPI0SEL_HXT 0x00000003
#define NUMAKER_CLK_LPADCSEL_LPADC0SEL_PCLK4 0x00000000
#define NUMAKER_CLK_LPADCSEL_LPADC0SEL_LXT 0x00000001
#define NUMAKER_CLK_LPADCSEL_LPADC0SEL_MIRC 0x00000002
#define NUMAKER_CLK_LPADCSEL_LPADC0SEL_HIRC 0x00000003
#define NUMAKER_CLK_LPSPISEL_LPSPI0SEL_PCLK4 0x00000000
#define NUMAKER_CLK_LPSPISEL_LPSPI0SEL_MIRC 0x00000001
#define NUMAKER_CLK_LPSPISEL_LPSPI0SEL_HIRC 0x00000002
#define NUMAKER_CLK_LPTMRSEL_LPTMR0SEL_PCLK4 0x00000000
#define NUMAKER_CLK_LPTMRSEL_LPTMR0SEL_LXT 0x00000001
#define NUMAKER_CLK_LPTMRSEL_LPTMR0SEL_LIRC 0x00000002
#define NUMAKER_CLK_LPTMRSEL_LPTMR0SEL_MIRC 0x00000003
#define NUMAKER_CLK_LPTMRSEL_LPTMR0SEL_HIRC 0x00000004
#define NUMAKER_CLK_LPTMRSEL_LPTMR0SEL_EXT 0x00000005
#define NUMAKER_CLK_LPTMRSEL_LPTMR1SEL_PCLK4 0x00000000
#define NUMAKER_CLK_LPTMRSEL_LPTMR1SEL_LXT 0x00000010
#define NUMAKER_CLK_LPTMRSEL_LPTMR1SEL_LIRC 0x00000020
#define NUMAKER_CLK_LPTMRSEL_LPTMR1SEL_MIRC 0x00000030
#define NUMAKER_CLK_LPTMRSEL_LPTMR1SEL_HIRC 0x00000040
#define NUMAKER_CLK_LPTMRSEL_LPTMR1SEL_EXT 0x00000050
#define NUMAKER_CLK_LPUARTSEL_LPUART0SEL_PCLK4 0x00000000
#define NUMAKER_CLK_LPUARTSEL_LPUART0SEL_LXT 0x00000001
#define NUMAKER_CLK_LPUARTSEL_LPUART0SEL_MIRC 0x00000002
#define NUMAKER_CLK_LPUARTSEL_LPUART0SEL_HIRC 0x00000003
#define NUMAKER_CLK_PSIOSEL_PSIO0SEL_LXT 0x00000000
#define NUMAKER_CLK_PSIOSEL_PSIO0SEL_HXT 0x00000001
#define NUMAKER_CLK_PSIOSEL_PSIO0SEL_LIRC 0x00000002
#define NUMAKER_CLK_PSIOSEL_PSIO0SEL_HIRC 0x00000003
#define NUMAKER_CLK_PSIOSEL_PSIO0SEL_HIRC48M_DIV4 0x00000004
#define NUMAKER_CLK_PSIOSEL_PSIO0SEL_PCLK1 0x00000005
#define NUMAKER_CLK_PSIOSEL_PSIO0SEL_APLL0_DIV2 0x00000006
#define NUMAKER_CLK_QSPISEL_QSPI0SEL_HXT 0x00000000
#define NUMAKER_CLK_QSPISEL_QSPI0SEL_APLL0_DIV2 0x00000001
#define NUMAKER_CLK_QSPISEL_QSPI0SEL_PCLK0 0x00000002
#define NUMAKER_CLK_QSPISEL_QSPI0SEL_HIRC 0x00000003
#define NUMAKER_CLK_QSPISEL_QSPI0SEL_HIRC48M_DIV4 0x00000004
#define NUMAKER_CLK_QSPISEL_QSPI1SEL_HXT 0x00000000
#define NUMAKER_CLK_QSPISEL_QSPI1SEL_APLL0_DIV2 0x00000010
#define NUMAKER_CLK_QSPISEL_QSPI1SEL_PCLK2 0x00000020
#define NUMAKER_CLK_QSPISEL_QSPI1SEL_HIRC 0x00000030
#define NUMAKER_CLK_QSPISEL_QSPI1SEL_HIRC48M_DIV4 0x00000040
#define NUMAKER_CLK_SCSEL_SC0SEL_HXT 0x00000000
#define NUMAKER_CLK_SCSEL_SC0SEL_APLL0_DIV2 0x00000001
#define NUMAKER_CLK_SCSEL_SC0SEL_PCLK1 0x00000002
#define NUMAKER_CLK_SCSEL_SC0SEL_HIRC 0x00000003
#define NUMAKER_CLK_SCSEL_SC0SEL_HIRC48M_DIV4 0x00000004
#define NUMAKER_CLK_SCSEL_SC1SEL_HXT 0x00000000
#define NUMAKER_CLK_SCSEL_SC1SEL_APLL0_DIV2 0x00000010
#define NUMAKER_CLK_SCSEL_SC1SEL_PCLK3 0x00000020
#define NUMAKER_CLK_SCSEL_SC1SEL_HIRC 0x00000030
#define NUMAKER_CLK_SCSEL_SC1SEL_HIRC48M_DIV4 0x00000040
#define NUMAKER_CLK_SCSEL_SC2SEL_HXT 0x00000000
#define NUMAKER_CLK_SCSEL_SC2SEL_APLL0_DIV2 0x00000100
#define NUMAKER_CLK_SCSEL_SC2SEL_PCLK1 0x00000200
#define NUMAKER_CLK_SCSEL_SC2SEL_HIRC 0x00000300
#define NUMAKER_CLK_SCSEL_SC2SEL_HIRC48M_DIV4 0x00000400
#define NUMAKER_CLK_SDHSEL_SDH0SEL_HXT 0x00000000
#define NUMAKER_CLK_SDHSEL_SDH0SEL_APLL1_DIV2 0x00000001
#define NUMAKER_CLK_SDHSEL_SDH0SEL_HCLK0 0x00000002
#define NUMAKER_CLK_SDHSEL_SDH0SEL_HIRC 0x00000003
#define NUMAKER_CLK_SDHSEL_SDH0SEL_HIRC48M_DIV4 0x00000004
#define NUMAKER_CLK_SDHSEL_SDH1SEL_HXT 0x00000000
#define NUMAKER_CLK_SDHSEL_SDH1SEL_APLL1_DIV2 0x00000010
#define NUMAKER_CLK_SDHSEL_SDH1SEL_HCLK0 0x00000020
#define NUMAKER_CLK_SDHSEL_SDH1SEL_HIRC 0x00000030
#define NUMAKER_CLK_SDHSEL_SDH1SEL_HIRC48M_DIV4 0x00000040
#define NUMAKER_CLK_SPISEL_SPI0SEL_HXT 0x00000000
#define NUMAKER_CLK_SPISEL_SPI0SEL_APLL1_DIV2 0x00000001
#define NUMAKER_CLK_SPISEL_SPI0SEL_APLL0_DIV2 0x00000002
#define NUMAKER_CLK_SPISEL_SPI0SEL_PCLK0 0x00000003
#define NUMAKER_CLK_SPISEL_SPI0SEL_HIRC 0x00000004
#define NUMAKER_CLK_SPISEL_SPI0SEL_HIRC48M 0x00000005
#define NUMAKER_CLK_SPISEL_SPI1SEL_HXT 0x00000000
#define NUMAKER_CLK_SPISEL_SPI1SEL_APLL1_DIV2 0x00000010
#define NUMAKER_CLK_SPISEL_SPI1SEL_APLL0_DIV2 0x00000020
#define NUMAKER_CLK_SPISEL_SPI1SEL_PCLK2 0x00000030
#define NUMAKER_CLK_SPISEL_SPI1SEL_HIRC 0x00000040
#define NUMAKER_CLK_SPISEL_SPI1SEL_HIRC48M 0x00000050
#define NUMAKER_CLK_SPISEL_SPI2SEL_HXT 0x00000000
#define NUMAKER_CLK_SPISEL_SPI2SEL_APLL1_DIV2 0x00000100
#define NUMAKER_CLK_SPISEL_SPI2SEL_APLL0_DIV2 0x00000200
#define NUMAKER_CLK_SPISEL_SPI2SEL_PCLK0 0x00000300
#define NUMAKER_CLK_SPISEL_SPI2SEL_HIRC 0x00000400
#define NUMAKER_CLK_SPISEL_SPI2SEL_HIRC48M 0x00000500
#define NUMAKER_CLK_SPISEL_SPI3SEL_HXT 0x00000000
#define NUMAKER_CLK_SPISEL_SPI3SEL_APLL1_DIV2 0x00001000
#define NUMAKER_CLK_SPISEL_SPI3SEL_APLL0_DIV2 0x00002000
#define NUMAKER_CLK_SPISEL_SPI3SEL_PCLK2 0x00003000
#define NUMAKER_CLK_SPISEL_SPI3SEL_HIRC 0x00004000
#define NUMAKER_CLK_SPISEL_SPI3SEL_HIRC48M 0x00005000
#define NUMAKER_CLK_STSEL_ST0SEL_HXT 0x00000000
#define NUMAKER_CLK_STSEL_ST0SEL_HXT_DIV2 0x00000001
#define NUMAKER_CLK_STSEL_ST0SEL_ACLK_DIV2 0x00000002
#define NUMAKER_CLK_STSEL_ST0SEL_HIRC_DIV2 0x00000003
#define NUMAKER_CLK_STSEL_ACLK 0x00000008
#define NUMAKER_CLK_TMRSEL_TMR0SEL_HXT 0x00000000
#define NUMAKER_CLK_TMRSEL_TMR0SEL_LXT 0x00000001
#define NUMAKER_CLK_TMRSEL_TMR0SEL_PCLK1 0x00000002
#define NUMAKER_CLK_TMRSEL_TMR0SEL_EXT 0x00000003
#define NUMAKER_CLK_TMRSEL_TMR0SEL_LIRC 0x00000004
#define NUMAKER_CLK_TMRSEL_TMR0SEL_HIRC 0x00000005
#define NUMAKER_CLK_TMRSEL_TMR0SEL_HIRC48M_DIV4 0x00000006
#define NUMAKER_CLK_TMRSEL_TMR1SEL_HXT 0x00000000
#define NUMAKER_CLK_TMRSEL_TMR1SEL_LXT 0x00000010
#define NUMAKER_CLK_TMRSEL_TMR1SEL_PCLK1 0x00000020
#define NUMAKER_CLK_TMRSEL_TMR1SEL_EXT 0x00000030
#define NUMAKER_CLK_TMRSEL_TMR1SEL_LIRC 0x00000040
#define NUMAKER_CLK_TMRSEL_TMR1SEL_HIRC 0x00000050
#define NUMAKER_CLK_TMRSEL_TMR1SEL_HIRC48M_DIV4 0x00000060
#define NUMAKER_CLK_TMRSEL_TMR2SEL_HXT 0x00000000
#define NUMAKER_CLK_TMRSEL_TMR2SEL_LXT 0x00000100
#define NUMAKER_CLK_TMRSEL_TMR2SEL_PCLK3 0x00000200
#define NUMAKER_CLK_TMRSEL_TMR2SEL_EXT 0x00000300
#define NUMAKER_CLK_TMRSEL_TMR2SEL_LIRC 0x00000400
#define NUMAKER_CLK_TMRSEL_TMR2SEL_HIRC 0x00000500
#define NUMAKER_CLK_TMRSEL_TMR2SEL_HIRC48M_DIV4 0x00000600
#define NUMAKER_CLK_TMRSEL_TMR3SEL_HXT 0x00000000
#define NUMAKER_CLK_TMRSEL_TMR3SEL_LXT 0x00001000
#define NUMAKER_CLK_TMRSEL_TMR3SEL_PCLK3 0x00002000
#define NUMAKER_CLK_TMRSEL_TMR3SEL_EXT 0x00003000
#define NUMAKER_CLK_TMRSEL_TMR3SEL_LIRC 0x00004000
#define NUMAKER_CLK_TMRSEL_TMR3SEL_HIRC 0x00005000
#define NUMAKER_CLK_TMRSEL_TMR3SEL_HIRC48M_DIV4 0x00006000
#define NUMAKER_CLK_TTMRSEL_TTMR0SEL_PCLK4 0x00000000
#define NUMAKER_CLK_TTMRSEL_TTMR0SEL_LXT 0x00000001
#define NUMAKER_CLK_TTMRSEL_TTMR0SEL_LIRC 0x00000002
#define NUMAKER_CLK_TTMRSEL_TTMR0SEL_MIRC 0x00000003
#define NUMAKER_CLK_TTMRSEL_TTMR0SEL_HIRC 0x00000004
#define NUMAKER_CLK_TTMRSEL_TTMR1SEL_PCLK4 0x00000000
#define NUMAKER_CLK_TTMRSEL_TTMR1SEL_LXT 0x00000010
#define NUMAKER_CLK_TTMRSEL_TTMR1SEL_LIRC 0x00000020
#define NUMAKER_CLK_TTMRSEL_TTMR1SEL_MIRC 0x00000030
#define NUMAKER_CLK_TTMRSEL_TTMR1SEL_HIRC 0x00000040
#define NUMAKER_CLK_UARTSEL0_UART0SEL_HXT 0x00000000
#define NUMAKER_CLK_UARTSEL0_UART0SEL_HIRC 0x00000001
#define NUMAKER_CLK_UARTSEL0_UART0SEL_LXT 0x00000002
#define NUMAKER_CLK_UARTSEL0_UART0SEL_APLL0_DIV2 0x00000003
#define NUMAKER_CLK_UARTSEL0_UART0SEL_HIRC48M 0x00000004
#define NUMAKER_CLK_UARTSEL0_UART1SEL_HXT 0x00000000
#define NUMAKER_CLK_UARTSEL0_UART1SEL_HIRC 0x00000010
#define NUMAKER_CLK_UARTSEL0_UART1SEL_LXT 0x00000020
#define NUMAKER_CLK_UARTSEL0_UART1SEL_APLL0_DIV2 0x00000030
#define NUMAKER_CLK_UARTSEL0_UART1SEL_HIRC48M 0x00000040
#define NUMAKER_CLK_UARTSEL0_UART2SEL_HXT 0x00000000
#define NUMAKER_CLK_UARTSEL0_UART2SEL_HIRC 0x00000100
#define NUMAKER_CLK_UARTSEL0_UART2SEL_LXT 0x00000200
#define NUMAKER_CLK_UARTSEL0_UART2SEL_APLL0_DIV2 0x00000300
#define NUMAKER_CLK_UARTSEL0_UART2SEL_HIRC48M 0x00000400
#define NUMAKER_CLK_UARTSEL0_UART3SEL_HXT 0x00000000
#define NUMAKER_CLK_UARTSEL0_UART3SEL_HIRC 0x00001000
#define NUMAKER_CLK_UARTSEL0_UART3SEL_LXT 0x00002000
#define NUMAKER_CLK_UARTSEL0_UART3SEL_APLL0_DIV2 0x00003000
#define NUMAKER_CLK_UARTSEL0_UART3SEL_HIRC48M 0x00004000
#define NUMAKER_CLK_UARTSEL0_UART4SEL_HXT 0x00000000
#define NUMAKER_CLK_UARTSEL0_UART4SEL_HIRC 0x00010000
#define NUMAKER_CLK_UARTSEL0_UART4SEL_LXT 0x00020000
#define NUMAKER_CLK_UARTSEL0_UART4SEL_APLL0_DIV2 0x00030000
#define NUMAKER_CLK_UARTSEL0_UART4SEL_HIRC48M 0x00040000
#define NUMAKER_CLK_UARTSEL0_UART5SEL_HXT 0x00000000
#define NUMAKER_CLK_UARTSEL0_UART5SEL_HIRC 0x00100000
#define NUMAKER_CLK_UARTSEL0_UART5SEL_LXT 0x00200000
#define NUMAKER_CLK_UARTSEL0_UART5SEL_APLL0_DIV2 0x00300000
#define NUMAKER_CLK_UARTSEL0_UART5SEL_HIRC48M 0x00400000
#define NUMAKER_CLK_UARTSEL0_UART6SEL_HXT 0x00000000
#define NUMAKER_CLK_UARTSEL0_UART6SEL_HIRC 0x01000000
#define NUMAKER_CLK_UARTSEL0_UART6SEL_LXT 0x02000000
#define NUMAKER_CLK_UARTSEL0_UART6SEL_APLL0_DIV2 0x03000000
#define NUMAKER_CLK_UARTSEL0_UART6SEL_HIRC48M 0x04000000
#define NUMAKER_CLK_UARTSEL0_UART7SEL_HXT 0x00000000
#define NUMAKER_CLK_UARTSEL0_UART7SEL_HIRC 0x10000000
#define NUMAKER_CLK_UARTSEL0_UART7SEL_LXT 0x20000000
#define NUMAKER_CLK_UARTSEL0_UART7SEL_APLL0_DIV2 0x30000000
#define NUMAKER_CLK_UARTSEL0_UART7SEL_HIRC48M 0x40000000
#define NUMAKER_CLK_UARTSEL1_UART8SEL_HXT 0x00000000
#define NUMAKER_CLK_UARTSEL1_UART8SEL_HIRC 0x00000001
#define NUMAKER_CLK_UARTSEL1_UART8SEL_LXT 0x00000002
#define NUMAKER_CLK_UARTSEL1_UART8SEL_APLL0_DIV2 0x00000003
#define NUMAKER_CLK_UARTSEL1_UART8SEL_HIRC48M 0x00000004
#define NUMAKER_CLK_UARTSEL1_UART9SEL_HXT 0x00000000
#define NUMAKER_CLK_UARTSEL1_UART9SEL_HIRC 0x00000010
#define NUMAKER_CLK_UARTSEL1_UART9SEL_LXT 0x00000020
#define NUMAKER_CLK_UARTSEL1_UART9SEL_APLL0_DIV2 0x00000030
#define NUMAKER_CLK_UARTSEL1_UART9SEL_HIRC48M 0x00000040
#define NUMAKER_CLK_USBSEL_USBSEL_HIRC48M 0x00000000
#define NUMAKER_CLK_USBSEL_USBSEL_APLL1_DIV2 0x00000001
#define NUMAKER_CLK_WDTSEL_WDT0SEL_LXT 0x00000000
#define NUMAKER_CLK_WDTSEL_WDT0SEL_LIRC 0x00000001
#define NUMAKER_CLK_WDTSEL_WDT1SEL_LXT 0x00000000
#define NUMAKER_CLK_WDTSEL_WDT1SEL_LIRC 0x00000010
#define NUMAKER_CLK_WWDTSEL_WWDT0SEL_LIRC 0x00000000
#define NUMAKER_CLK_WWDTSEL_WWDT0SEL_LXT 0x00000001
#define NUMAKER_CLK_WWDTSEL_WWDT1SEL_LIRC 0x00000000
#define NUMAKER_CLK_WWDTSEL_WWDT1SEL_LXT 0x00000010
#define NUMAKER_CLK_SCLKDIV_SCLKDIV(x) (((x) - 1UL) << (0))
#define NUMAKER_CLK_HCLKDIV_HCLK2DIV(x) (((x) - 1UL) << (8))
#define NUMAKER_CLK_PCLKDIV_PCLK0DIV(x) (((x) - 1UL) << (0))
#define NUMAKER_CLK_PCLKDIV_PCLK1DIV(x) (((x) - 1UL) << (4))
#define NUMAKER_CLK_PCLKDIV_PCLK2DIV(x) (((x) - 1UL) << (8))
#define NUMAKER_CLK_PCLKDIV_PCLK3DIV(x) (((x) - 1UL) << (12))
#define NUMAKER_CLK_PCLKDIV_PCLK4DIV(x) (((x) - 1UL) << (16))
#define NUMAKER_CLK_STDIV_ST0DIV(x) (((x) - 1UL) << (0))
#define NUMAKER_CLK_CANFDDIV_CANFD0DIV(x) (((x) - 1UL) << (0))
#define NUMAKER_CLK_CANFDDIV_CANFD1DIV(x) (((x) - 1UL) << (8))
#define NUMAKER_CLK_DMICDIV_DMIC0DIV(x) (((x) - 1UL) << (0))
#define NUMAKER_CLK_EADCDIV_EADC0DIV(x) (((x) - 1UL) << (0))
#define NUMAKER_CLK_I2SDIV_I2S0DIV(x) (((x) - 1UL) << (0))
#define NUMAKER_CLK_I2SDIV_I2S1DIV(x) (((x) - 1UL) << (8))
#define NUMAKER_CLK_KPIDIV_KPI0DIV(x) (((x) - 1UL) << (0))
#define NUMAKER_CLK_LPADCDIV_LPADC0DIV(x) (((x) - 1UL) << (0))
#define NUMAKER_CLK_LPUARTDIV_LPUART0DIV(x) (((x) - 1UL) << (0))
#define NUMAKER_CLK_PSIODIV_PSIO0DIV(x) (((x) - 1UL) << (0))
#define NUMAKER_CLK_SCDIV_SC0DIV(x) (((x) - 1UL) << (0))
#define NUMAKER_CLK_SCDIV_SC1DIV(x) (((x) - 1UL) << (8))
#define NUMAKER_CLK_SCDIV_SC2DIV(x) (((x) - 1UL) << (16))
#define NUMAKER_CLK_SDHDIV_SDH0DIV(x) (((x) - 1UL) << (0))
#define NUMAKER_CLK_SDHDIV_SDH1DIV(x) (((x) - 1UL) << (8))
#define NUMAKER_CLK_UARTDIV0_UART0DIV(x) (((x) - 1UL) << (0))
#define NUMAKER_CLK_UARTDIV0_UART1DIV(x) (((x) - 1UL) << (4))
#define NUMAKER_CLK_UARTDIV0_UART2DIV(x) (((x) - 1UL) << (8))
#define NUMAKER_CLK_UARTDIV0_UART3DIV(x) (((x) - 1UL) << (12))
#define NUMAKER_CLK_UARTDIV0_UART4DIV(x) (((x) - 1UL) << (16))
#define NUMAKER_CLK_UARTDIV0_UART5DIV(x) (((x) - 1UL) << (20))
#define NUMAKER_CLK_UARTDIV0_UART6DIV(x) (((x) - 1UL) << (24))
#define NUMAKER_CLK_UARTDIV0_UART7DIV(x) (((x) - 1UL) << (28))
#define NUMAKER_CLK_UARTDIV1_UART8DIV(x) (((x) - 1UL) << (0))
#define NUMAKER_CLK_UARTDIV1_UART9DIV(x) (((x) - 1UL) << (4))
#define NUMAKER_CLK_USBDIV_USBDIV(x) (((x) - 1UL) << (0))
#define NUMAKER_CLK_VSENSEDIV_VSENSEDIV(x) (((x) - 1UL) << (0))
#define NUMAKER_CLK_APLL0_SELECT 0x00000000
#define NUMAKER_CLK_APLL1_SELECT 0x00000001
#define NUMAKER_CLK_APLLCTL_APLLSRC_HXT 0x00000000
#define NUMAKER_CLK_APLLCTL_APLLSRC_HXT_DIV2 0x00000001
#define NUMAKER_CLK_APLLCTL_APLLSRC_HIRC 0x00000002
#define NUMAKER_CLK_APLLCTL_APLLSRC_HIRC48_DIV4 0x00000003
#define NUMAKER_ACMP01_MODULE 0
#define NUMAKER_ACMP23_MODULE 1
#define NUMAKER_AWF0_MODULE 2
#define NUMAKER_BPWM0_MODULE 3
#define NUMAKER_BPWM1_MODULE 4
#define NUMAKER_CANFD0_MODULE 5
#define NUMAKER_CANFD1_MODULE 6
#define NUMAKER_CCAP0_MODULE 7
#define NUMAKER_CRC0_MODULE 8
#define NUMAKER_CRYPTO0_MODULE 9
#define NUMAKER_DAC01_MODULE 10
#define NUMAKER_DMIC0_MODULE 11
#define NUMAKER_VAD0SEL_MODULE 12
#define NUMAKER_EADC0_MODULE 13
#define NUMAKER_EBI0_MODULE 14
#define NUMAKER_ECAP0_MODULE 15
#define NUMAKER_ECAP1_MODULE 16
#define NUMAKER_ECAP2_MODULE 17
#define NUMAKER_ECAP3_MODULE 18
#define NUMAKER_EMAC0_MODULE 19
#define NUMAKER_EPWM0_MODULE 20
#define NUMAKER_EPWM1_MODULE 21
#define NUMAKER_EQEI0_MODULE 22
#define NUMAKER_EQEI1_MODULE 23
#define NUMAKER_EQEI2_MODULE 24
#define NUMAKER_EQEI3_MODULE 25
#define NUMAKER_FMC0_MODULE 26
#define NUMAKER_ISP0_MODULE 27
#define NUMAKER_GDMA0_MODULE 28
#define NUMAKER_GPIOA_MODULE 29
#define NUMAKER_GPIOB_MODULE 30
#define NUMAKER_GPIOC_MODULE 31
#define NUMAKER_GPIOD_MODULE 32
#define NUMAKER_GPIOE_MODULE 33
#define NUMAKER_GPIOF_MODULE 34
#define NUMAKER_GPIOG_MODULE 35
#define NUMAKER_GPIOH_MODULE 36
#define NUMAKER_GPIOI_MODULE 37
#define NUMAKER_GPIOJ_MODULE 38
#define NUMAKER_HSOTG0_MODULE 39
#define NUMAKER_HSUSBD0_MODULE 40
#define NUMAKER_HSUSBH0_MODULE 41
#define NUMAKER_I2C0_MODULE 42
#define NUMAKER_I2C1_MODULE 43
#define NUMAKER_I2C2_MODULE 44
#define NUMAKER_I2C3_MODULE 45
#define NUMAKER_I2S0_MODULE 46
#define NUMAKER_I2S1_MODULE 47
#define NUMAKER_I3C0_MODULE 48
#define NUMAKER_KDF0_MODULE 49
#define NUMAKER_KPI0_MODULE 50
#define NUMAKER_KS0_MODULE 51
#define NUMAKER_LPADC0_MODULE 52
#define NUMAKER_LPPDMA0_MODULE 53
#define NUMAKER_LPGPIO0_MODULE 54
#define NUMAKER_LPI2C0_MODULE 55
#define NUMAKER_LPSPI0_MODULE 56
#define NUMAKER_LPSRAM0_MODULE 57
#define NUMAKER_LPTMR0_MODULE 58
#define NUMAKER_LPTMR1_MODULE 59
#define NUMAKER_LPUART0_MODULE 60
#define NUMAKER_NPU0_MODULE 61
#define NUMAKER_OTFC0_MODULE 62
#define NUMAKER_OTG0_MODULE 63
#define NUMAKER_PDMA0_MODULE 64
#define NUMAKER_PDMA1_MODULE 65
#define NUMAKER_PSIO0_MODULE 66
#define NUMAKER_QSPI0_MODULE 67
#define NUMAKER_QSPI1_MODULE 68
#define NUMAKER_RTC0_MODULE 69
#define NUMAKER_SC0_MODULE 70
#define NUMAKER_SC1_MODULE 71
#define NUMAKER_SC2_MODULE 72
#define NUMAKER_SCU0_MODULE 73
#define NUMAKER_SDH0_MODULE 74
#define NUMAKER_SDH1_MODULE 75
#define NUMAKER_SPI0_MODULE 76
#define NUMAKER_SPI1_MODULE 77
#define NUMAKER_SPI2_MODULE 78
#define NUMAKER_SPI3_MODULE 79
#define NUMAKER_SPIM0_MODULE 80
#define NUMAKER_SRAM0_MODULE 81
#define NUMAKER_SRAM1_MODULE 82
#define NUMAKER_SRAM2_MODULE 83
#define NUMAKER_SRAM3_MODULE 84
#define NUMAKER_ST0_MODULE 85
#define NUMAKER_TMR0_MODULE 86
#define NUMAKER_TMR1_MODULE 87
#define NUMAKER_TMR2_MODULE 88
#define NUMAKER_TMR3_MODULE 89
#define NUMAKER_TRNG0_MODULE 90
#define NUMAKER_TTMR0_MODULE 91
#define NUMAKER_TTMR1_MODULE 92
#define NUMAKER_UART0_MODULE 93
#define NUMAKER_UART1_MODULE 94
#define NUMAKER_UART2_MODULE 95
#define NUMAKER_UART3_MODULE 96
#define NUMAKER_UART4_MODULE 97
#define NUMAKER_UART5_MODULE 98
#define NUMAKER_UART6_MODULE 99
#define NUMAKER_UART7_MODULE 100
#define NUMAKER_UART8_MODULE 101
#define NUMAKER_UART9_MODULE 102
#define NUMAKER_USBD0_MODULE 103
#define NUMAKER_USBH0_MODULE 104
#define NUMAKER_USCI0_MODULE 105
#define NUMAKER_UTCPD0_MODULE 106
#define NUMAKER_WDT0_MODULE 107
#define NUMAKER_WDT1_MODULE 108
#define NUMAKER_WWDT0_MODULE 109
#define NUMAKER_WWDT1_MODULE 110
#define NUMAKER_PMC_NPD0 0x00000000
#define NUMAKER_PMC_NPD1 0x00000001
#define NUMAKER_PMC_NPD2 0x00000002
#define NUMAKER_PMC_NPD3 0x00000003
#define NUMAKER_PMC_NPD4 0x00000004
#define NUMAKER_PMC_SPD0 0x00000005
#define NUMAKER_PMC_SPD1 0x00000006
#define NUMAKER_PMC_DPD 0x00000007

#endif
