/*
 * Copyright (c) 2025 Analog Devices, Inc.
 *
 * SPDX-License-Identifier: Apache-2.0
 */
#ifndef ZEPHYR_INCLUDE_DT_BINDINGS_DMA_MAX32650_DMA_H_
#define ZEPHYR_INCLUDE_DT_BINDINGS_DMA_MAX32650_DMA_H_

#define MAX32_DMA_SLOT_MEMTOMEM     0x00U
#define MAX32_DMA_SLOT_SPI0_RX      0x01U
#define MAX32_DMA_SLOT_SPI1_RX      0x02U
#define MAX32_DMA_SLOT_SPI2_RX      0x03U
#define MAX32_DMA_SLOT_UART0_RX     0x04U
#define MAX32_DMA_SLOT_UART1_RX     0x05U
#define MAX32_DMA_SLOT_I2C0_RX      0x07U
#define MAX32_DMA_SLOT_I2C1_RX      0x08U
#define MAX32_DMA_SLOT_ADC          0x09U
#define MAX32_DMA_SLOT_UART2_RX     0x0EU
#define MAX32_DMA_SLOT_SPI3_RX      0x0FU
#define MAX32_DMA_SLOT_SPI_MSS_RX   0x10U
#define MAX32_DMA_SLOT_USB_RX1      0x11U
#define MAX32_DMA_SLOT_USB_RX2      0x12U
#define MAX32_DMA_SLOT_USB_RX3      0x13U
#define MAX32_DMA_SLOT_USB_RX4      0x14U
#define MAX32_DMA_SLOT_USB_RX5      0x15U
#define MAX32_DMA_SLOT_USB_RX6      0x16U
#define MAX32_DMA_SLOT_USB_RX7      0x17U
#define MAX32_DMA_SLOT_USB_RX8      0x18U
#define MAX32_DMA_SLOT_USB_RX9      0x19U
#define MAX32_DMA_SLOT_USB_RX10     0x1AU
#define MAX32_DMA_SLOT_USB_RX11     0x1BU
#define MAX32_DMA_SLOT_SPI0_TX      0x21U
#define MAX32_DMA_SLOT_SPI1_TX      0x22U
#define MAX32_DMA_SLOT_SPI2_TX      0x23U
#define MAX32_DMA_SLOT_UART0_TX     0x24U
#define MAX32_DMA_SLOT_UART1_TX     0x25U
#define MAX32_DMA_SLOT_I2C0_TX      0x27U
#define MAX32_DMA_SLOT_I2C1_TX      0x28U
#define MAX32_DMA_SLOT_UART2_TX     0x2EU
#define MAX32_DMA_SLOT_SPI3_TX      0x2FU
#define MAX32_DMA_SLOT_SPI_MSS_TX   0x30U
#define MAX32_DMA_SLOT_USB_TX1      0x31U
#define MAX32_DMA_SLOT_USB_TX2      0x32U
#define MAX32_DMA_SLOT_USB_TX3      0x33U
#define MAX32_DMA_SLOT_USB_TX4      0x34U
#define MAX32_DMA_SLOT_USB_TX5      0x35U
#define MAX32_DMA_SLOT_USB_TX6      0x36U
#define MAX32_DMA_SLOT_USB_TX7      0x37U
#define MAX32_DMA_SLOT_USB_TX8      0x38U
#define MAX32_DMA_SLOT_USB_TX9      0x39U
#define MAX32_DMA_SLOT_USB_TX10     0x3AU
#define MAX32_DMA_SLOT_USB_TX11     0x3BU

#endif /* ZEPHYR_INCLUDE_DT_BINDINGS_DMA_MAX32650_DMA_H_ */
